#ifndef XDVPSPLANE_H
#define XDVPSPLANE_H

#include "xasset.h"

#include <QVector>

class XDpvsPlane : public XAsset
{
public:
    explicit XDpvsPlane();
    ~XDpvsPlane();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<float> mCoeffs;
    QVector<quint8> mSide;
    quint8 mPad;
};

#endif // XDVPSPLANE_H
